Name:           ocaml-ao
Version:        0.2.0
Release:        %mkrel 8
Summary:        OCaml bindings for libao
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
Url:            http://savonet.sourceforge.net/

BuildRequires:  libao-devel
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib


%description
OCaml bindings for the cross platform audio output library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libao-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/ao
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/ao
%{_libdir}/ocaml/ao/META
%{_libdir}/ocaml/ao/*.cma
%{_libdir}/ocaml/ao/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/ao/*.a
%{_libdir}/ocaml/ao/*.cmxa
%{_libdir}/ocaml/ao/*.cmx
%{_libdir}/ocaml/ao/*.mli



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-8.mga4
+ Revision: 508408
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.0-7.mga3
+ Revision: 361122
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.0-6.mga3
+ Revision: 301633
- new rpm group for ocaml
- new rpm group for ocaml

  + malo <malo>
    - restore Requires libao-devel
    - remove Requires to libao-devel

* Thu Nov 17 2011 malo <malo> 0.2.0-3.mga2
+ Revision: 168361
- missing Requires libao-devel
- spec clean-up

* Sun Oct 02 2011 shlomif <shlomif> 0.2.0-2.mga2
+ Revision: 151036
- Rebuild for the new ocaml - thanks to Malo

* Sun Sep 25 2011 shlomif <shlomif> 0.2.0-1.mga2
+ Revision: 147777
- imported package ocaml-ao

